(function($, w) {
  "use strict";

var $window = $(w);



    // Product Carousel
    var productSlider = function( $scope, $ ) {

      var q = $scope.find(".foex-product-slider"),
          s = q.data('slide-settings');
          
      q.owlCarousel({
        items: s.items,
        margin: s.margin,
        loop: s.loop,
        mouseDrag: s.mousedrag,
        nav: s.nav,
        autoplay: s.autoplay,
        dots: s.dots,
        autoWidth: s.autoWidth,
        smartSpeed: s.smartSpeed,
        center: s.center,
        autoplayTimeout: s.autoplayTimeout,
        animateIn: s.animateIn,
        animateOut: s.animateOut,
        responsiveClass:true,
        responsive: s.responsive
      });
    }


    //
    var elementTypeSkin = {
        'foodexpo-slider-menu.default' : productSlider
    }

    $(window).on('elementor/frontend/init', function () {

        var $EF = elementorFrontend;

        $.each( elementTypeSkin, function( widgetName, fuHandler ) {

            $EF.hooks.addAction('frontend/element_ready/'+widgetName, fuHandler );

        } )

   
    });





})(jQuery);
