<?php
namespace FoodExpo\Widgets;
/**
 * FoodExpo Admin
 *
 * @package     FoodExpo
 * @author      WPBucket
 * @copyright   2021 WPBucket
 * @license     GPL-2.0-or-later
 *
 *
 */


if( !defined( 'WPINC' ) ) {
    die;
}

if( !class_exists('Widgets_List') ) {

class Widgets_List {

    /**
     * 
     *
     * Name is required 
     * If name more than 1 word it's should be concatenates with _  like ( heading_option )
     *
     */
    public static function widgets_list() {

        return [
            
            [
                'label' => esc_html__( 'Grid Product Menu', 'foodexpo' ),
                'name' => 'grid_menu',
                'demo_url' => '#',
                'doc_url' => '#'
            ],
            [
                'label' => esc_html__( 'List Product Menu', 'foodexpo' ),
                'name' => 'list_menu', 
                'demo_url' => '#',
                'doc_url' => '#'
            ],
            [
                'label' => esc_html__( 'Slider Product Menu', 'foodexpo' ),
                'name' => 'slider_menu', 
                'demo_url' => '#',
                'doc_url' => '#'
            ],
            [
                'label' => esc_html__( 'Menu Showcase', 'foodexpo' ),
                'name' => 'menu_showcase', 
                'demo_url' => '#',
                'doc_url' => '#'
            ]

            
        ];

    }

    public function widgets_map() {
    	return self::widgets_list();
    }


}


}