<?php

?>

<div class="foex-product-wrap foex-grid-product-style-1">
	
	<div class="foex-row">
		<?php 
		$args = '10';
		$query = new WC_Product_Query( $args );
        $products = $query->get_products();
        if( !empty( $products ) ):
            foreach( $products  as $product ):
            $productId = $product->get_id();
            $productLink = get_permalink( $productId );
            $sku = $product->get_sku();
		?>
		<div class="foex-col-lg-3">
			<div class="foex-product-item">
				<div class="foex-product-thumbnail">
					<?php
                    echo wp_kses_post( $product->get_image() );
                    ?>
				</div>
				<div class="foex-product-info">
					<h6 class="foex-product-title">
                        <a href="<?php echo esc_url( $productLink ); ?>"><?php echo esc_html( $product->get_name() ); ?></a>
                    </h6>
                    <?php 
                    if( !empty( $product->get_short_description() ) ) {
                    	echo wp_kses_post( $product->get_short_description() );
                    }
                    ?>
                    <div class="foex-product-price-wrap">
                    	<div class="foex-product-price"><?php echo wp_kses_post( $product->get_price_html() ); ?></div>
                    	<div class="foex-product-cart-btn">
                    		<?php 
                            if( $product->is_type( 'variable' ) ) {
                                echo '<a href="'.esc_url( $productLink ).'" class=""><i class="fa fa-plus-circle"></i></a>';
                            } else {
                                echo '<a href="'.esc_attr( '?add-to-cart='.$productId ).'" class="add_to_cart_button ajax_add_to_cart" data-quantity="1" data-product_id="'.absint($productId).'" data-product_sku="'.esc_attr($sku).'"><i class="fas fa-cart-arrow-down"></i></a>';
                            }
                            ?>
                    	</div>
                    </div>
				</div>
			</div>
		</div>
		<?php
			endforeach;
		endif;
		?>
	</div>

</div>